xquery version "1.0" encoding "UTF-8";
(: $Id: fpml-results.xq 5874 2009-04-21 17:01:40Z matthew $ :)

module namespace res="http://www.fpml.org/2010/FpML-4-8/results";

declare copy-namespaces no-preserve, inherit;
declare construction strip;

declare default element namespace "http://www.fpml.org/2010/FpML-4-8"; 

import schema namespace val="http://www.fpml.org/2010/FpML-4-8/validation" at "Validation.xsd";

declare function res:pretty-result($constraintName as xs:NMTOKEN, $satisfied as xs:boolean, $evaluationContext as element()?, $caveat as xs:string?) as document-node(element(val:contextEvaluation))
(: Pretty prints in XML the results of a rule evaluation. The context is only shown when the constraint is not satisfied :)
{
	validate strict {
		document {
			element val:contextEvaluation { 
				element val:constraint{$constraintName},
				element val:satisfied{$satisfied},
				element val:caveat{$caveat}[exists($caveat)],
				element val:context {$evaluationContext}[exists($evaluationContext)][not($satisfied)] 
			}
		}
	}
};